#
# spec file for package python-efilter
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-efilter
Version:        1.6.0
Release:        bp154.1.24
Summary:        EFILTER query language
License:        Apache-2.0
URL:            https://github.com/rekall-innovations/efilter
Source0:        https://github.com/rekall-innovations/efilter/archive/v%{version}.tar.gz
# fix executable in tests
Patch0:         fix-executable.patch
BuildRequires:  %{python_module future}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-future
Requires:       python-python-dateutil
Requires:       python-pytz
Requires:       python-six >= 1.4.0
BuildArch:      noarch
%python_subpackages

%description
EFILTER is a general-purpose destructuring and search language implemented in Python, and suitable for integration with any Python project that requires a search function for some of its data.

%prep
%setup -q -n efilter-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE.txt
%doc AUTHORS.txt README.md
%{python_sitelib}/efilter*
%{python_sitelib}/rekall_efilter*
%exclude %{python_sitelib}/sample_projects

%changelog
* Tue May  5 2020 Marketa Calabkova <mcalabkova@suse.com>
- Add patch fix-executable.patch to fix tests
* Mon Jan 13 2020 Ondřej Súkup <mimi.vx@gmail.com>
- switch to rekall-innovations fork
- update to 1.6.0
  * fully support python3
* Thu Jan  9 2020 Ondřej Súkup <mimi.vx@gmail.com>
- convert to singlespec
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Mon Oct  3 2016 Greg.Freemyer@gmail.com
- update to v1-1.5
- update Source field.  Upstream change.
- update Group field
* Thu Aug  4 2016 Greg.Freemyer@gmail.com
- change Requires: python-dateutil to python-python-dateutil
* Fri Jul 29 2016 Greg.Freemyer@gmail.com
- initial package v1-1.4
